caoss.simulator.instructions

## Class InstructionList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<Instruction>
      - - caoss.simulator.instructions.InstructionList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Instruction>, java.util.Collection<Instruction>, java.util.List<Instruction>, java.util.RandomAccess

      public class InstructionList
      extends java.util.ArrayList<Instruction>

  A list of instructions
  Author:
    Herve Paulino
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `InstructionList.InstructionListIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstructionList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstructionList.InstructionListIterator` | `iterator()`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### InstructionList

          public InstructionList()

  - ### Method Detail

    - #### iterator

          public InstructionList.InstructionListIterator iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Instruction>`
      Specified by:
        `iterator` in interface `java.util.Collection<Instruction>`
      Specified by:
        `iterator` in interface `java.util.List<Instruction>`
      Overrides:
        `iterator` in class `java.util.ArrayList<Instruction>`